voa-import(1)

NAME
voa-import - Import a single verifier into a VOA hierarchy.

SYNOPSIS
voa import [-c|--context] [-v|--verbose]... [-i|--input] [-q|--quiet]... [-b|--base-path] [-r|--runtime] [-h|--help] <OS> <PURPOSE> <TECHNOLOGY>

DESCRIPTION
Import a single verifier into a VOA hierarchy.

By default a single verifier is expected on stdin. Using the "-i"/"--input" option a specific directory or file can be selected for import instead.

The verifier is written to the user's writable, persistent VOA load path, e.g.:

- "~/.config/voa/": for users with uid >= 1000.
  Note, that "voa import" respects the XDG Base Directory Specification and the "XDG_CONFIG_HOME" environment variable.
  The above serves as default example. - "/etc/voa/": for users with uid < 1000

When using the "-r"/"--runtime" option, the verifier is written to the user's writable, ephemeral VOA load path instead, e.g.:

- "/run/user/$(id -u)/voa/": for users with uid >= 1000.
  Note, that "voa import" respects the XDG Base Directory Specification and the "XDG_RUNTIME_DIR" environment variable.
  The above serves as default example. - "/run/voa": for users with uid < 1000

The verifier can be written to another, specific VOA base path using the "-b"/"--base-path" option.

OPTIONS

-c, --context <CONTEXT>
    The context to import for. If not specified, defaults to "default".
    May also be specified with the VOA_IMPORT_CONTEXT environment variable.

-v, --verbose
    Increase logging verbosity

-i, --input <INPUT>
    The directory or file to import from. If a directory is provided and the selected technology is "openpgp" it must either contain: - OpenPGP packet files, - or a directory structure with OpenPGP packet files, compatible with the "archlinux-keyring" format. If no directory or file is provided, stdin is used instead.
    May also be specified with the VOA_IMPORT_INPUT environment variable.

-q, --quiet
    Decrease logging verbosity

-b, --base-path <BASE_PATH>
    The VOA base path to write to. If not specified, the user's writable, persistent VOA load path is chosen, e.g.: - "~/.config/voa/": for users with uid >= 1000 - "/etc/voa/": for users with uid < 1000 To use the user's writable, ephemeral VOA load path if no directory is provided, pass the "-r"/"--runtime" option to the command. In this case the writable, ephemeral VOA load path is chosen, e.g.: - "/run/user/$(id -u)/voa/": for users with uid >= 1000 - "/run/voa": for users with uid < 1000
    May also be specified with the VOA_IMPORT_BASE_PATH environment variable.

-r, --runtime
    Whether to import to the runtime directory. Instructs the import mechanism to use the user's writable, ephemeral VOA load path, e.g.: - "/run/user/$(id -u)/voa/": for users with uid >= 1000 - "/run/voa": for users with uid < 1000 By default, if this option and the "-b"/"--base-path" options are not provided, a verifier is imported to the writable, persistent VOA load path of the user, e.g.: - "~/.config/voa/": for users with uid >= 1000 - "/etc/voa/": for users with uid < 1000 Note, that this option cannot be selected together with "-b"/"--base-path".
    May also be specified with the VOA_IMPORT_RUNTIME environment variable.

-h, --help
    Print help (see a summary with '-h')

<OS>
    The OS to import for.
    May also be specified with the VOA_IMPORT_OS environment variable.

<PURPOSE>
    The purpose to import for.
    May also be specified with the VOA_IMPORT_PURPOSE environment variable.

<TECHNOLOGY>
    The technology to import for. Currently only "openpgp" is supported.
    May also be specified with the VOA_IMPORT_TECHNOLOGY environment variable.